import { BehaviorSubject } from 'rxjs';
export declare class WindowService {
    document: Document;
    private platformId;
    width$: BehaviorSubject<number>;
    scrollingUp$: BehaviorSubject<boolean>;
    currentScrollPosition: number;
    window: Window;
    constructor(document: Document, platformId: string);
    scrollTo(offset?: number): void;
    hasDocument(): boolean;
    isBrowser(): boolean;
    private handleContentScroll;
}
//# sourceMappingURL=window.service.d.ts.map